package com.ruoyi.system.utils.jsch;

public class AnsiStripper
{
    public static String stripAnsi(final String input) {
        final String ansiPattern = "\\u001B\\[[\\d;]*[a-zA-Z/?]";
        return input.replaceAll(ansiPattern, "");
    }
    
    public static void main(final String[] args) {
        final String logWithAnsi = "\u001b[32m✔\u001b[0m Container mysql        \u001b[32mStarted\u001b[0m                                         \u001b[34m11.0s \u001b[0m";
        final String cleanLog = stripAnsi(logWithAnsi);
        System.out.println(cleanLog);
    }
}
